gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Renders text in a cell Used to add text to a Gtk.CellRenderer GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CellRendererText, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new .
  an object of type
  The default constructor.
- Property
  System.Int32 Sets the height of a renderer to explicitly be determined by the . an object of type an object of type
- Property
  System.Int32 Font size. an object of type an object of type
- Property
  System.Double Font scaling factor. an object of type an object of type
- Property
  System.String Foreground color as a string. an object of type an object of type
- Property
  System.Boolean Whether to strike through the text. an object of type an object of type
- Property
  Pango.FontDescription The font description as a an object of type an object of type
- Property
  System.String Font description as a . an object of type an object of type
- Property
  System.Double Font size in points. an object of type an object of type
- Property
  System.Int32 Offset of text above the baseline (below the baseline if rise is negative). an object of type an object of type
- Property
  System.String Text to render. an object of type an object of type
- Property
  System.Int32 Font weight. an object of type an object of type
- Property
  System.String Background color as a . an object of type an object of type
- Property
  System.Boolean Whether the text can be modified by the user. an object of type an object of type
- Property
  Pango.Variant Font variant. an object of type an object of type
- Property
  Gdk.Color Background color as a . an object of type an object of type
- Property
  System.String Name of the font family, e.g. Sans, Helvetica, Times, Monospace. an object of type an object of type
- Property
  Pango.AttrList A list of style attributes to apply to the text of the renderer. an object of type an object of type
- Property
  Pango.Stretch Font stretch. an object of type an object of type
- Property
  System.String Marked up text to render. an object of type an object of type
- Property
  Pango.Style Font style. an object of type an object of type
- Property
  Pango.Underline Style of underline for this text. an object of type an object of type
- Property
  Gdk.Color Foreground color as a . an object of type an object of type
- Event
  Gtk.EditedHandler Emitted when the cell is edited.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  System.Boolean To be added a To be added
- Property
  System.String To be added a To be added